:root {
  --basic-color: #3CB878;
  --hover-color: #01813F;
}

.container {
  width: 1230px;
  margin: 0 auto;
  position: relative;
}

body {
  font-family: 'Ubuntu', sans-serif;
  font-style: normal;
}

.bg__image {
  background-image: url('../img/background__img.png');
  background-size: cover;
  background-repeat: no-repeat;
}

.header {
  padding: 18px 0 18px 0;
  background: rgba(0, 0, 0, 0.4);
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

.header--container {
  display: flex;
  justify-content: space-between;
}

.header__logo {
  font-size: 22px;
  line-height: 22px;
  color: white;
  text-transform: uppercase;
  font-weight: bold;
}

.header__nav {
  display: flex;
  width: 372px;
  justify-content: space-between;
  align-items: center;
  position: relative;
}

.header__nav::after {
  content: "";
  background: rgba(255, 255, 255, 0.9);
  opacity: 0.5;
  width: 1px;
  height: 19px;
  position: absolute;
  left: 44%;
}

.header__nav-menu {
  display: flex;
  width: 126px;
  justify-content: space-between;
}

.header__nav-menu__icon path {
  transition: fill 0.3s ease;
}

.header__nav-menu__icon:hover path {
  fill: var(--basic-color);
}

.header__log-in {
  color: white;
  font-size: 14px;
  line-height: 14px;
}

.header__log-in__link {
  color: white;
}

.header__logo,
.header__log-in__link {
  transition: color 0.3s ease;
}

.header__logo:hover,
.header__log-in__link:hover {
  color: var(--basic-color);
}

.sign-up {
  width: 444px;
  background-color: #FFF;
  position: absolute;
  top: 54px;
  left: calc(50% - 222px);
  color: #434343;
  padding: 31px 60px 38px 60px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 584px;
  font-size: 14px;
  line-height: 14px;
}

.sign-up::before {
  content: "";
  width: 18px;
  height: 18px;
  background-color: var(--basic-color);
  position: absolute;
  left: 0;
  top: 33px;
}

.sign-up__head {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.sign-up__title {
  margin: 0;
  font-size: 20px;
  line-height: 20px;
  font-weight: normal;
}

.sign-up__link {
  color: var(--basic-color);
  transition: color 0.3s;
}

.sign-up__link:hover {
  text-decoration: underline;
  color: var(--hover-color);
}

.sign-up__group-btns {
  display: flex;
  justify-content: space-between;
  font-size: 16px;
  line-height: 16px;
  padding-bottom: 34px;
  position: relative;
  border-bottom: 1px solid #F2F2F2;
}

.sign-up__group-btns::after {
  content: "or";
  position: absolute;
  bottom: -7px;
  left: 46%;
  background-color: white;
  color: #848484;
  text-align: center;
  padding: 0 6px;
}

.sign-up__btn {
  padding: 16px 0;
  display: flex;
  border-radius: 4px;
  color: white;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  transition: 0.3s;
}

.sign-up__btn:active {
  transform: scale(0.9);
}

.btn--blue {
  background-color: #305DB8;
}

.btn--blue:hover {
  background-color: #022263;
}

.btn--red {
  background-color: #DF4A32;
}

.btn--red:hover {
  background-color: #AB1F09;
}

.btn--green {
  background-color: var(--basic-color);
}

.btn--green:hover {
  background-color: var(--hover-color);
}

.btn--medium {
  width: 160px;
  position: relative;
  padding-right: 22px;
  padding-left: 11px;
}

.btn--large {
  justify-content: center;
  border-style: none;
}

.btn--medium::before {
  content: " ";
  width: 1px;
  height: 28px;
  background: #0A162F;
  opacity: 0.1;
  left: 28%;
  position: absolute;
}

.sign-up__input {
  padding: 15px 19px;
  border-radius: 4px;
  border: 1px solid #F2F2F2;
  transition: box-shadow 0.3s ease;
}

.sign-up__input:focus {
  outline: none;
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.21);
}

.conditions {
  margin-bottom: 20px;
}

.conditions__checkbox:checked,
.conditions__checkbox:not(:checked) {
  position: absolute;
  left: -9999px;
}

.conditions__checkbox:checked + label,
.conditions__checkbox:not(:checked) + label {
  cursor: pointer;
  position: relative;
  margin-left: 31px;
}

.conditions__checkbox:checked + label::before,
.conditions__checkbox:not(:checked) + label::before {
  content: "";
  position: absolute;
  left: -30px;
  bottom: -3px;
  width: 20px;
  height: 20px;
  border: 1px solid #F2F2F2;
}

.conditions__checkbox:checked + label::after,
.conditions__checkbox:not(:checked) + label::after {
  content: "";
  position: absolute;
  transition: all 0.3s ease;
}

.conditions__checkbox:checked + label::after {
  left: -27px;
  top: 2px;
  width: 14px;
  height: 8px;
  border-left: 2px solid var(--basic-color);
  border-bottom: 2px solid var(--basic-color);
  transform: rotate(-45deg);
}

.conditions__checkbox:checked + label:hover::after {
  border-color: var(--hover-color);
}

.btn-color-theme {
  position: absolute;
  border: 1px solid white;
  top: 0;
  left: -60%;
  padding: 20px 30px;
  font-weight: bold;
  text-transform: uppercase;
}